/**
 * Weather Source Climatology API
 * Daily and hourly climatological weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Climatology API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { CldCvrAvg } from './cldCvrAvg';
import { CldCvrAvgSd } from './cldCvrAvgSd';
import { CldCvrMax } from './cldCvrMax';
import { CldCvrMaxSd } from './cldCvrMaxSd';
import { CldCvrMin } from './cldCvrMin';
import { CldCvrMinSd } from './cldCvrMinSd';
import { DewPtAvg } from './dewPtAvg';
import { DewPtAvgSd } from './dewPtAvgSd';
import { DewPtMax } from './dewPtMax';
import { DewPtMaxSd } from './dewPtMaxSd';
import { DewPtMin } from './dewPtMin';
import { DewPtMinSd } from './dewPtMinSd';
import { FeelsLikeAvg } from './feelsLikeAvg';
import { FeelsLikeAvgSd } from './feelsLikeAvgSd';
import { FeelsLikeMax } from './feelsLikeMax';
import { FeelsLikeMaxSd } from './feelsLikeMaxSd';
import { FeelsLikeMin } from './feelsLikeMin';
import { FeelsLikeMinSd } from './feelsLikeMinSd';
import { MslPresAvg } from './mslPresAvg';
import { MslPresAvgSd } from './mslPresAvgSd';
import { MslPresMax } from './mslPresMax';
import { MslPresMaxSd } from './mslPresMaxSd';
import { MslPresMin } from './mslPresMin';
import { MslPresMinSd } from './mslPresMinSd';
import { Precip } from './precip';
import { PrecipFreq } from './precipFreq';
import { PrecipFreq0 } from './precipFreq0';
import { PrecipFreq001To009 } from './precipFreq001To009';
import { PrecipFreq010To024 } from './precipFreq010To024';
import { PrecipFreq025To049 } from './precipFreq025To049';
import { PrecipFreq050To099 } from './precipFreq050To099';
import { PrecipFreq100To249 } from './precipFreq100To249';
import { PrecipFreq250To499 } from './precipFreq250To499';
import { PrecipFreq500Plus } from './precipFreq500Plus';
import { PrecipSd } from './precipSd';
import { RadSolarAvg } from './radSolarAvg';
import { RadSolarAvgSd } from './radSolarAvgSd';
import { RadSolarMax } from './radSolarMax';
import { RadSolarMaxSd } from './radSolarMaxSd';
import { RadSolarMin } from './radSolarMin';
import { RadSolarMinSd } from './radSolarMinSd';
import { RadSolarTot } from './radSolarTot';
import { RadSolarTotSd } from './radSolarTotSd';
import { RelHumAvg } from './relHumAvg';
import { RelHumAvgSd } from './relHumAvgSd';
import { RelHumMax } from './relHumMax';
import { RelHumMaxSd } from './relHumMaxSd';
import { RelHumMin } from './relHumMin';
import { RelHumMinSd } from './relHumMinSd';
import { SfcPresAvg } from './sfcPresAvg';
import { SfcPresAvgSd } from './sfcPresAvgSd';
import { SfcPresMax } from './sfcPresMax';
import { SfcPresMaxSd } from './sfcPresMaxSd';
import { SfcPresMin } from './sfcPresMin';
import { SfcPresMinSd } from './sfcPresMinSd';
import { SnowDepth } from './snowDepth';
import { SnowDepthSd } from './snowDepthSd';
import { Snowfall } from './snowfall';
import { SnowfallFreq } from './snowfallFreq';
import { SnowfallFreq0 } from './snowfallFreq0';
import { SnowfallFreq001To009 } from './snowfallFreq001To009';
import { SnowfallFreq010To024 } from './snowfallFreq010To024';
import { SnowfallFreq025To049 } from './snowfallFreq025To049';
import { SnowfallFreq050To099 } from './snowfallFreq050To099';
import { SnowfallFreq100To149 } from './snowfallFreq100To149';
import { SnowfallFreq150To249 } from './snowfallFreq150To249';
import { SnowfallFreq250Plus } from './snowfallFreq250Plus';
import { SnowfallSd } from './snowfallSd';
import { SpcHumAvg } from './spcHumAvg';
import { SpcHumAvgSd } from './spcHumAvgSd';
import { SpcHumMax } from './spcHumMax';
import { SpcHumMaxSd } from './spcHumMaxSd';
import { SpcHumMin } from './spcHumMin';
import { SpcHumMinSd } from './spcHumMinSd';
import { TempAvg } from './tempAvg';
import { TempAvgSd } from './tempAvgSd';
import { TempMax } from './tempMax';
import { TempMaxSd } from './tempMaxSd';
import { TempMin } from './tempMin';
import { TempMinSd } from './tempMinSd';
import { WetBulbAvg } from './wetBulbAvg';
import { WetBulbAvgSd } from './wetBulbAvgSd';
import { WetBulbMax } from './wetBulbMax';
import { WetBulbMaxSd } from './wetBulbMaxSd';
import { WetBulbMin } from './wetBulbMin';
import { WetBulbMinSd } from './wetBulbMinSd';
import { WindDir100mAvg } from './windDir100mAvg';
import { WindDir80mAvg } from './windDir80mAvg';
import { WindDirAvg } from './windDirAvg';
import { WindSpdAvg } from './windSpdAvg';
import { WindSpdAvgSd } from './windSpdAvgSd';
import { WindSpdMax } from './windSpdMax';
import { WindSpdMaxSd } from './windSpdMaxSd';
import { WindSpdMin } from './windSpdMin';
import { WindSpdMinSd } from './windSpdMinSd';

/**
 * A daily weather climatology object.
 */
export interface ClimatologyDayObj { 
    date: string;
    cldCvrMin?: CldCvrMin;
    cldCvrMinSd?: CldCvrMinSd;
    cldCvrAvg?: CldCvrAvg;
    cldCvrAvgSd?: CldCvrAvgSd;
    cldCvrMax?: CldCvrMax;
    cldCvrMaxSd?: CldCvrMaxSd;
    dewPtMin?: DewPtMin;
    dewPtMinSd?: DewPtMinSd;
    dewPtAvg?: DewPtAvg;
    dewPtAvgSd?: DewPtAvgSd;
    dewPtMax?: DewPtMax;
    dewPtMaxSd?: DewPtMaxSd;
    feelsLikeMin?: FeelsLikeMin;
    feelsLikeMinSd?: FeelsLikeMinSd;
    feelsLikeAvg?: FeelsLikeAvg;
    feelsLikeAvgSd?: FeelsLikeAvgSd;
    feelsLikeMax?: FeelsLikeMax;
    feelsLikeMaxSd?: FeelsLikeMaxSd;
    mslPresMin?: MslPresMin;
    mslPresMinSd?: MslPresMinSd;
    mslPresAvg?: MslPresAvg;
    mslPresAvgSd?: MslPresAvgSd;
    mslPresMax?: MslPresMax;
    mslPresMaxSd?: MslPresMaxSd;
    precip?: Precip;
    precipSd?: PrecipSd;
    precipFreq?: PrecipFreq;
    precipFreq0?: PrecipFreq0;
    precipFreq001To009?: PrecipFreq001To009;
    precipFreq010To024?: PrecipFreq010To024;
    precipFreq025To049?: PrecipFreq025To049;
    precipFreq050To099?: PrecipFreq050To099;
    precipFreq100To249?: PrecipFreq100To249;
    precipFreq250To499?: PrecipFreq250To499;
    precipFreq500Plus?: PrecipFreq500Plus;
    radSolarMin?: RadSolarMin;
    radSolarMinSd?: RadSolarMinSd;
    radSolarAvg?: RadSolarAvg;
    radSolarAvgSd?: RadSolarAvgSd;
    radSolarMax?: RadSolarMax;
    radSolarMaxSd?: RadSolarMaxSd;
    radSolarTot?: RadSolarTot;
    radSolarTotSd?: RadSolarTotSd;
    relHumMin?: RelHumMin;
    relHumMinSd?: RelHumMinSd;
    relHumAvg?: RelHumAvg;
    relHumAvgSd?: RelHumAvgSd;
    relHumMax?: RelHumMax;
    relHumMaxSd?: RelHumMaxSd;
    sfcPresMin?: SfcPresMin;
    sfcPresMinSd?: SfcPresMinSd;
    sfcPresAvg?: SfcPresAvg;
    sfcPresAvgSd?: SfcPresAvgSd;
    sfcPresMax?: SfcPresMax;
    sfcPresMaxSd?: SfcPresMaxSd;
    snowDepth?: SnowDepth;
    snowDepthSd?: SnowDepthSd;
    snowfall?: Snowfall;
    snowfallSd?: SnowfallSd;
    snowfallFreq?: SnowfallFreq;
    snowfallFreq0?: SnowfallFreq0;
    snowfallFreq001To009?: SnowfallFreq001To009;
    snowfallFreq010To024?: SnowfallFreq010To024;
    snowfallFreq025To049?: SnowfallFreq025To049;
    snowfallFreq050To099?: SnowfallFreq050To099;
    snowfallFreq100To149?: SnowfallFreq100To149;
    snowfallFreq150To249?: SnowfallFreq150To249;
    snowfallFreq250Plus?: SnowfallFreq250Plus;
    spcHumMin?: SpcHumMin;
    spcHumMinSd?: SpcHumMinSd;
    spcHumAvg?: SpcHumAvg;
    spcHumAvgSd?: SpcHumAvgSd;
    spcHumMax?: SpcHumMax;
    spcHumMaxSd?: SpcHumMaxSd;
    tempMin?: TempMin;
    tempMinSd?: TempMinSd;
    tempAvg?: TempAvg;
    tempAvgSd?: TempAvgSd;
    tempMax?: TempMax;
    tempMaxSd?: TempMaxSd;
    wetBulbMin?: WetBulbMin;
    wetBulbMinSd?: WetBulbMinSd;
    wetBulbAvg?: WetBulbAvg;
    wetBulbAvgSd?: WetBulbAvgSd;
    wetBulbMax?: WetBulbMax;
    wetBulbMaxSd?: WetBulbMaxSd;
    windDirAvg?: WindDirAvg;
    windDir80mAvg?: WindDir80mAvg;
    windDir100mAvg?: WindDir100mAvg;
    windSpdMin?: WindSpdMin;
    windSpdMinSd?: WindSpdMinSd;
    windSpdAvg?: WindSpdAvg;
    windSpdAvgSd?: WindSpdAvgSd;
    windSpdMax?: WindSpdMax;
    windSpdMaxSd?: WindSpdMaxSd;
}