/**
 * Weather Source Climatology API
 * Daily and hourly climatological weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Climatology API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { CountryCode } from './countryCode';
import { CountryName } from './countryName';
import { DmaId } from './dmaId';
import { DmaName } from './dmaName';
import { Grid } from './grid';
import { Population } from './population';
import { SamplePoints } from './samplePoints';
import { Timezone } from './timezone';

/**
 * A Designated Market Area location metadata object
 */
export interface DmaObj { 
    dmaId: DmaId;
    dmaName: DmaName;
    timezone: Timezone;
    population: Population;
    countryCode: CountryCode;
    countryName: CountryName;
    samplePoints: SamplePoints;
    grid: Grid;
}